NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.Routing.MultiPortCollection Class Reference

Represents a collection of NXOpen.Routing.MultiPort objects. More...

Inheritance diagram for NXOpen.Routing.MultiPortCollection:
NXOpen.TaggedObjectCollection NXOpen.Utilities.NXRemotableObject IEnumerable IMessageSink

Public Member Functions

unsafe NXOpen.Routing.MultiPort CreateMultiPort (NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector, NXOpen.Vector3d rotationVector, NXOpen.DisplayableObject rotationObject, double clockAngle)
 Creates a MultiPort with a rotation vector at an absolute location. More...
 
unsafe NXOpen.Routing.MultiPort CreateMultiPort (NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector)
 Creates a MultiPort with no rotation vector at an absolute location. More...
 
unsafe NXOpen.Routing.MultiPort CreateMultiPort (NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector, NXOpen.Vector3d rotationVector, NXOpen.DisplayableObject rotationObject, double clockAngle, NXOpen.Point point)
 Creates a MultiPort with a rotation vector at a point. More...
 
unsafe NXOpen.Routing.MultiPort CreateMultiPort (NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector, NXOpen.Point point)
 Creates a MultiPort with no rotation vector at a point. More...
 
unsafe NXOpen.Routing.MultiPort CreateMultiPort (NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector, NXOpen.Vector3d rotationVector, NXOpen.DisplayableObject rotationObject, double clockAngle, NXOpen.Axis axis)
 Creates a MultiPort with a rotation vector on an axis. More...
 
unsafe NXOpen.Routing.MultiPort CreateMultiPort (NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector, NXOpen.Axis derivationObject)
 Creates a MultiPort with no rotation vector on an axis. More...
 
unsafe NXOpen.Routing.MultiPort CreateMultiPort (NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector, NXOpen.Vector3d rotationVector, NXOpen.DisplayableObject rotationObject, double clockAngle, bool allowMultipleConnections)
 Creates a MultiPort with a rotation vector at an absolute location More...
 
unsafe NXOpen.Routing.MultiPort CreateMultiPort (NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector, bool allowMultipleConnections)
 Creates a MultiPort with no rotation vector at an absolute location More...
 
unsafe NXOpen.Routing.MultiPort CreateMultiPort (NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector, NXOpen.Vector3d rotationVector, NXOpen.DisplayableObject rotationObject, double clockAngle, NXOpen.Point point, bool allowMultipleConnections)
 Creates a MultiPort with a rotation vector at a point More...
 
unsafe NXOpen.Routing.MultiPort CreateMultiPort (NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector, NXOpen.Point point, bool allowMultipleConnections)
 Creates a MultiPort with no rotation vector at a point More...
 
unsafe NXOpen.Routing.MultiPort CreateMultiPort (NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector, NXOpen.Vector3d rotationVector, NXOpen.DisplayableObject rotationObject, double clockAngle, NXOpen.Axis axis, bool allowMultipleConnections)
 Creates a MultiPort with a rotation vector on an axis More...
 
unsafe NXOpen.Routing.MultiPort CreateMultiPort (NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector, NXOpen.Axis derivationObject, bool allowMultipleConnections)
 Creates a MultiPort with no rotation vector on an axis More...
 
NXOpen.Routing.MultiPort[] ToArray ()
 Returns an array of NXOpen.Routing.MultiPort objects. More...
 
- Public Member Functions inherited from NXOpen.TaggedObjectCollection
IEnumerator GetEnumerator ()
 Returns an enumerator that iterates through a collection. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Protected Member Functions

override int EnumerateMoveNext (ref Tag currentTag, byte[] state)
 Advances the enumerator to the next element of the collection. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObjectCollection
new void initialize ()
 <exclude> More...
 
- Protected Member Functions inherited from NXOpen.Utilities.NXRemotableObject
void initialize ()
 <exclude> More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

Represents a collection of NXOpen.Routing.MultiPort objects.

To obtain an instance of this class, refer to NXOpen.Routing.RouteManager

Created in NX4.0.0

Member Function Documentation

unsafe NXOpen.Routing.MultiPort NXOpen.Routing.MultiPortCollection.CreateMultiPort ( NXOpen.Point3d  origin,
NXOpen.Vector3d  alignmentVector,
NXOpen.Vector3d  rotationVector,
NXOpen.DisplayableObject  rotationObject,
double  clockAngle 
)
inline

Creates a MultiPort with a rotation vector at an absolute location.

Default allows multiple connections to this port.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
originOrigin of the multi port
alignmentVectorAlignment vector of the multi port
rotationVectorRotation Vector of the multi port
rotationObjectRotation derivation object, may be a null reference (Nothing in Visual Basic)
clockAngleClock angle increment in degrees for the rotation vector
Returns
unsafe NXOpen.Routing.MultiPort NXOpen.Routing.MultiPortCollection.CreateMultiPort ( NXOpen.Point3d  origin,
NXOpen.Vector3d  alignmentVector 
)
inline

Creates a MultiPort with no rotation vector at an absolute location.

Default allows multiple connections to this port.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
originOrigin of the multi port
alignmentVectorAlignment vector of the multi port
Returns
unsafe NXOpen.Routing.MultiPort NXOpen.Routing.MultiPortCollection.CreateMultiPort ( NXOpen.Point3d  origin,
NXOpen.Vector3d  alignmentVector,
NXOpen.Vector3d  rotationVector,
NXOpen.DisplayableObject  rotationObject,
double  clockAngle,
NXOpen.Point  point 
)
inline

Creates a MultiPort with a rotation vector at a point.

Default allows multiple connections to this port.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
originOrigin of the multi port
alignmentVectorAlignment vector of the multi port
rotationVectorRotation Vector of the multi port
rotationObjectRotation derivation object, may be a null reference (Nothing in Visual Basic)
clockAngleClock angle increment in degrees for the rotation vector
pointMulti Port derived from this point
Returns
unsafe NXOpen.Routing.MultiPort NXOpen.Routing.MultiPortCollection.CreateMultiPort ( NXOpen.Point3d  origin,
NXOpen.Vector3d  alignmentVector,
NXOpen.Point  point 
)
inline

Creates a MultiPort with no rotation vector at a point.

Default allows multiple connections to this port.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
originOrigin of the multi port
alignmentVectorAlignment vector of the multi port
pointMulti Port derived from this point
Returns
unsafe NXOpen.Routing.MultiPort NXOpen.Routing.MultiPortCollection.CreateMultiPort ( NXOpen.Point3d  origin,
NXOpen.Vector3d  alignmentVector,
NXOpen.Vector3d  rotationVector,
NXOpen.DisplayableObject  rotationObject,
double  clockAngle,
NXOpen.Axis  axis 
)
inline

Creates a MultiPort with a rotation vector on an axis.

Default allows multiple connections to this port.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
originOrigin of the multi port
alignmentVectorAlignment vector of the multi port
rotationVectorRotation Vector of the multi port
rotationObjectRotation derivation object, may be a null reference (Nothing in Visual Basic)
clockAngleClock angle increment in degrees for the rotation vector
axisMulti Port derived from this axis
Returns
unsafe NXOpen.Routing.MultiPort NXOpen.Routing.MultiPortCollection.CreateMultiPort ( NXOpen.Point3d  origin,
NXOpen.Vector3d  alignmentVector,
NXOpen.Axis  derivationObject 
)
inline

Creates a MultiPort with no rotation vector on an axis.

Default allows multiple connections to this port.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
originOrigin of the multi port
alignmentVectorAlignment vector of the multi port
derivationObjectMulti Port derived from this axis
Returns
unsafe NXOpen.Routing.MultiPort NXOpen.Routing.MultiPortCollection.CreateMultiPort ( NXOpen.Point3d  origin,
NXOpen.Vector3d  alignmentVector,
NXOpen.Vector3d  rotationVector,
NXOpen.DisplayableObject  rotationObject,
double  clockAngle,
bool  allowMultipleConnections 
)
inline

Creates a MultiPort with a rotation vector at an absolute location

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
originOrigin of the multi port
alignmentVectorAlignment vector of the multi port
rotationVectorRotation Vector of the multi port
rotationObjectRotation derivation object, may be a null reference (Nothing in Visual Basic)
clockAngleClock angle increment in degrees for the rotation vector
allowMultipleConnectionsDoes this fitting port allow multiple wires to be routed to it?
Returns
unsafe NXOpen.Routing.MultiPort NXOpen.Routing.MultiPortCollection.CreateMultiPort ( NXOpen.Point3d  origin,
NXOpen.Vector3d  alignmentVector,
bool  allowMultipleConnections 
)
inline

Creates a MultiPort with no rotation vector at an absolute location

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
originOrigin of the multi port
alignmentVectorAlignment vector of the multi port
allowMultipleConnectionsDoes this fitting port allow multiple wires to be routed to it?
Returns
unsafe NXOpen.Routing.MultiPort NXOpen.Routing.MultiPortCollection.CreateMultiPort ( NXOpen.Point3d  origin,
NXOpen.Vector3d  alignmentVector,
NXOpen.Vector3d  rotationVector,
NXOpen.DisplayableObject  rotationObject,
double  clockAngle,
NXOpen.Point  point,
bool  allowMultipleConnections 
)
inline

Creates a MultiPort with a rotation vector at a point

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
originOrigin of the multi port
alignmentVectorAlignment vector of the multi port
rotationVectorRotation Vector of the multi port
rotationObjectRotation derivation object, may be a null reference (Nothing in Visual Basic)
clockAngleClock angle increment in degrees for the rotation vector
pointMulti Port derived from this point
allowMultipleConnectionsDoes this fitting port allow multiple wires to be routed to it?
Returns
unsafe NXOpen.Routing.MultiPort NXOpen.Routing.MultiPortCollection.CreateMultiPort ( NXOpen.Point3d  origin,
NXOpen.Vector3d  alignmentVector,
NXOpen.Point  point,
bool  allowMultipleConnections 
)
inline

Creates a MultiPort with no rotation vector at a point

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
originOrigin of the multi port
alignmentVectorAlignment vector of the multi port
pointMulti Port derived from this point
allowMultipleConnectionsDoes this fitting port allow multiple wires to be routed to it?
Returns
unsafe NXOpen.Routing.MultiPort NXOpen.Routing.MultiPortCollection.CreateMultiPort ( NXOpen.Point3d  origin,
NXOpen.Vector3d  alignmentVector,
NXOpen.Vector3d  rotationVector,
NXOpen.DisplayableObject  rotationObject,
double  clockAngle,
NXOpen.Axis  axis,
bool  allowMultipleConnections 
)
inline

Creates a MultiPort with a rotation vector on an axis

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
originOrigin of the multi port
alignmentVectorAlignment vector of the multi port
rotationVectorRotation Vector of the multi port
rotationObjectRotation derivation object, may be a null reference (Nothing in Visual Basic)
clockAngleClock angle increment in degrees for the rotation vector
axisMulti Port derived from this axis
allowMultipleConnectionsDoes this fitting port allow multiple wires to be routed to it?
Returns
unsafe NXOpen.Routing.MultiPort NXOpen.Routing.MultiPortCollection.CreateMultiPort ( NXOpen.Point3d  origin,
NXOpen.Vector3d  alignmentVector,
NXOpen.Axis  derivationObject,
bool  allowMultipleConnections 
)
inline

Creates a MultiPort with no rotation vector on an axis

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
originOrigin of the multi port
alignmentVectorAlignment vector of the multi port
derivationObjectMulti Port derived from this axis
allowMultipleConnectionsDoes this fitting port allow multiple wires to be routed to it?
Returns
override int NXOpen.Routing.MultiPortCollection.EnumerateMoveNext ( ref Tag  currentTag,
byte[]  state 
)
inlineprotectedvirtual

Advances the enumerator to the next element of the collection.

Implements NXOpen.TaggedObjectCollection.

NXOpen.Routing.MultiPort [] NXOpen.Routing.MultiPortCollection.ToArray ( )
inline

Returns an array of NXOpen.Routing.MultiPort objects.

Property Documentation

Tag NXOpen.Routing.MultiPortCollection.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.